> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# トランザクションの取得

> 指定したクエリパラメータに一致する transactions エンティティのレコードを返します。パラメータを指定しない場合は、すべてのレコードが返されます。



## OpenAPI

````yaml 26.3/cloud/ja/api-reference/openapi.json GET /transactions
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /transactions:
    get:
      tags:
        - transactions
      summary: トランザクションの取得
      description: >-
        指定したクエリパラメータに一致する transactions
        エンティティのレコードを返します。パラメータを指定しない場合は、すべてのレコードが返されます。
      operationId: getAlltransactions
      parameters:
        - name: $select
          in: query
          schema:
            type: string
          description: 結果に含めるプロパティのカンマ区切りリストです。このフィールドを空のままにすると、すべてのプロパティが返されます。
        - name: $orderby
          in: query
          schema:
            type: string
          description: このプロパティで結果を昇順または降順に並べ替えます。昇順の例：'Name ASC' 降順の例：'Name DESC'
        - name: $top
          in: query
          schema:
            type: integer
          description: 返す結果の件数です。
        - name: $skip
          in: query
          schema:
            type: integer
          description: 結果を返す際にスキップする結果のオフセットです。
        - name: $count
          in: query
          schema:
            type: boolean
          description: 設定すると、実際の結果ではなく結果の件数が返されます。
        - name: $filter
          in: query
          schema:
            type: string
          description: >-
            特定のプロパティ値で結果をフィルタリングするために使用します。たとえば、名前が 'John'
            のレコードを取得するには、次のフィルタを使用できます：$filter=Name eq 'John'
      responses:
        '200':
          description: transactions レスポンス
          content:
            application/json:
              schema:
                type: object
                properties:
                  value:
                    type: array
                    items:
                      $ref: '#/components/schemas/transactions'
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    transactions:
      type: object
      properties:
        Id:
          description: ログのid。
          type: string
        ConnectorId:
          description: コネクタのid。
          type: string
        PortId:
          description: ポートのid。
          type: string
        WorkspaceId:
          description: ワークスペースのid。
          type: string
        Workspace:
          description: ワークスペースのid。
          type: string
        MessageId:
          description: メッセージのId。
          type: string
        Direction:
          description: ファイルトランザクションの方向。
          type: string
        Status:
          description: トランザクションのステータス。
          type: string
        Filename:
          description: 転送されるファイルの名前。
          type: string
        FilePath:
          description: 送信または受信されたファイルへのフルパス。
          type: string
        FileSize:
          description: ファイルのサイズ。
          type: integer
          format: int32
        Timestamp:
          description: ファイルが送信または受信された時刻。
          type: string
          format: date-time
        ETag:
          description: 転送されるファイルのETag。これはAS2 Restartを使用している場合のみ利用可能です。
          type: string
        InstanceId:
          description: HA環境においてログを書き込むホストです。
          type: string
        BatchGroupId:
          description: バッチグループメッセージの Id。
          type: string
        IsBatchGroup:
          description: メッセージがバッチグループメッセージかどうか。
          type: boolean
        ProcessingTime:
          description: トランザクションの処理に要した合計時間（ミリ秒（ms）単位）。
          type: integer
          format: int64
        ConnectorType:
          description: 現在のコネクタのConnectorType。
          type: string
      required:
        - Id
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````